NI-RIO 14.0.1 Known Issues

Overview

This document contains the NI-RIO 14.0.1 known issues that were discovered before and since the release of NI-RIO 13.0.0. Not every issue known to NI will appear on this list; it is intended to only show the severe and more common issues that can be encountered. Each issue appears as a row in the table and includes an issue title, a brief description of the problem, and any workarounds that might help resolve the issue. To help determine if issues have been added since the date of publish, these newly added issues will be in their own section at the top (if applicable). The workarounds that appear in the document are not always tested by NI and are not guaranteed to resolve the issue. If a workaround refers you to the NI KnowledgeBase, please visit www.ni.com/kb/ and enter that KB number in the search field to locate the specific document. The brief description given does not necessarily describe the problem in full detail, and it is expected that you might want more information on an issue. If you would like more information on an issue feel free to contact NI and referencing the ID number given in the document. You can contact us through any of the normal support channels including phone, email, or the discussion forums. See www.ni.com/contact to contact us. Also consider contacting us if you find a workaround for an issue that is not listed in the document so that we can add the workaround to the document.
ID Known Issue Affected LV Versions
278272 NI 9802 Mount and Unmount Methods cannot be called remotely from Windows 2014
2013 SP1
2013
2012 SP1
389839 Operating System Crash When Scanning Internal Memory of NI-RIO processes 2014
2013 SP1
2013
2012 SP1
410915 Error -52023 when connecting to USB R-series 2014
2013 SP1
2013
485682 RIO Device Setup throws incorrect error when bitfile fails to load 2014
491556 Installing NI-RIO 14.0 for Linux over older version of NI-RIO causes corrupt installation. 2014

Known Issues with NI-RIO 14.0.1 and LabVIEW

ID Known Issues
278272

NI 9802 Mount and Unmount Methods cannot be called remotely from Windows

Normally, these commands would be run from the RT controller host (or remotely on the RT host through VI Server). For the EthernetRIO targets, NI 9146/9148 this is not an option. This means that the NI 9802 RT API cannot be used with these targets.

Workaround:

None.

Back to top

389839

Operating System Crash When Scanning Internal Memory of NI-RIO processes

Using a program (such as a debugger) that scans process memory of an application that interfaces with a FlexRIO, MXI-Express RIO, or R Series device can cause an operating system crash. For more information, refer to Knowledgebase 6CBD88VQ: Scanning Memory Within a Process that uses FlexRIO, MXI-Express RIO, or R Series Devices Can Cause a Crash.

Workaround:

Do not access internal memory within a process that is using NI-RIO devices.

Back to top

410915

Error -52023 when connecting to USB R-series

When connecting to a USB R-series card, if you insert or remove other USB devices, some USB controllers can cause persistent error -52023 when communicating with the USB R-series. For more information refer to Knowledgebase 6CCALAVQ: Why Do I Receive Error -52023 Using a USB R Series Device When Inserting or Removing an Additional Device?.

Workaround:

One of the following should work: Unplug the device and replug Suspend Power and Resume Disable and Enable Driver in Windows Device Manager Restart the computer See the above linked Knowledgebase for more details.

Back to top

485682

RIO Device Setup throws incorrect error when bitfile fails to load

RIO Device Setup will throw Error -2147220597 when it fails to deploy a bitfile. The correct error should be Error -63107. Typically users may see this error if they have just upgraded to NI-RIO Devices Drivers August 2014 f1.

Workaround:

Recompile your LabVIEW FPGA bitfile.

Back to top

491556

Installing NI-RIO 14.0 for Linux over older version causes corrupt installation.

Installing NI-RIO 14.0 on a Linux system where a previous version of NI-RIO is installed can cause a corrupt installation.

Workaround:

Uninstall any previous versions of NI-RIO from the Linux system before installing NI-RIO 14.0 for Linux.

Back to top

Glossary of Terms

 

  • Bug ID - When an issue is reported to NI, you may be given this ID or find it on ni.com.  You may also find IDs posted by NI on the discussion forums or in KnowledgeBase articles.
  • Legacy ID – An older issue ID that refers to the same issue.  You may instead find this issue ID in older known issues documents.
  • Description - A few sentences which describe the problem. The brief description given does not necessarily describe the problem in full detail.
  • Workaround - Possible ways to work around the problem.
  • Reported Version - The earliest version in which the issue was reported.
  • Resolved Version - Version in which the issue was resolved or was no longer applicable. "N/A" indicates that the issue has not been resolved.
  • Date Added - The date the issue was added to the document (not the reported date).